Bug 1801149 (CVE-2019-13990) - CVE-2019-13990 libquartz: XXE attacks via job description
Summary: CVE-2019-13990 libquartz: XXE attacks via job description
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-13990
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1807886 1814510 1814511
Blocks: 1801151
TreeView+ depends on / blocked
 
Reported: 2020-02-10 11:21 UTC by Dhananjay Arunesh
Modified: 2021-02-16 20:38 UTC (History)
60 users (show)

Fixed In Version: quartz-2.3.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in quartz through version 2.3.0. A XXE attack is possible in the Terracotta Quartz Scheduler using a job description. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-07-29 07:27:42 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3196 0 None None None 2020-07-29 06:08:01 UTC
Red Hat Product Errata RHSA-2020:3197 0 None None None 2020-07-29 06:23:21 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:15:49 UTC
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:13:13 UTC

Comment 6 Doran Moppert 2020-03-18 04:45:32 UTC
Created quartz tracking bugs for this issue:

Affects: fedora-all [bug 1814510]

Comment 8 Barnaby Court 2020-03-23 14:37:23 UTC
We quartz as an embedded library and do not use the relevant XML based job creation that is affected by this CVE.

Comment 9 Cedric Buissart 2020-03-23 15:00:44 UTC
Statement:

Red Hat Satellite 6 uses a vulnerable version of libquartz as a dependency for candlepin. However, the <job><descrition> entry is not used, and the vulnerability can not be triggered. An update may fix the code in the future.

Comment 14 errata-xmlrpc 2020-07-29 06:07:57 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:3196 https://access.redhat.com/errata/RHSA-2020:3196

Comment 15 errata-xmlrpc 2020-07-29 06:23:17 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:3197 https://access.redhat.com/errata/RHSA-2020:3197

Comment 16 Product Security DevOps Team 2020-07-29 07:27:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13990

Comment 17 errata-xmlrpc 2020-08-04 13:15:44 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4

Via RHSA-2020:3247 https://access.redhat.com/errata/RHSA-2020:3247

Comment 18 errata-xmlrpc 2020-12-16 12:13:04 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568


Note You need to log in before you can comment on or make changes to this bug.